---

thread_watch: {{ graphyte_daemon_thread_watch | bool }}
log_level: {{ graphyte_daemon_log_level | default('info') }}

{% if graphyte_daemon_healthcheck is defined and graphyte_daemon_healthcheck %}
healthcheck:
  enabled: {{ graphyte_daemon_healthcheck | bool }}
{% if graphyte_daemon_healthcheck_port is defined %}
  port: {{ graphyte_daemon_healthcheck_port }}
{% endif %}
{% endif %}

{% if graphyte_daemon is defined and graphyte_daemon.graphite_host is defined %}
graphite:
  host: {{ graphyte_daemon.graphite_host }}
{% if graphyte_daemon is defined and graphyte_daemon.interval is defined %}
  interval: {{ graphyte_daemon.interval }}
{% endif %}
{% if graphyte_daemon is defined and graphyte_daemon.instance_name is defined %}
  instance_name: {{ graphyte_daemon.instance_name }}
{% endif %}
{% endif %}

{% if graphyte_services and graphyte_services | count != 0 %}
{{ graphyte_services | to_nice_yaml( indent = 2 ) }}
{% endif %}
